nvme_write_zeros(2)

NAME
nvme_write_zeros - Submit an nvme write zeroes command

SYNOPSIS
int nvme_write_zeros (struct nvme_io_args *args );

ARGUMENTS

args
    struct nvme_io_args argument structure

DESCRIPTION
The Write Zeroes command sets a range of logical blocks to zero. After successful completion of this command, the value returned by subsequent reads of logical blocks in this range shall be all bytes cleared to 0h until a write occurs to this LBA range.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.